Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3324

Summary: /etc/skel/.screenrc has wrong permissions
Product: [Retired] Red Hat Linux Reporter: dharris
Component: screenAssignee: David Lawrence <dkl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-17 19:57:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description dharris 1999-06-08 00:08:11 UTC
The file /etc/skel/.screenrc has permissions 775. When I
install a new user which does not use its own Red Hat
private group (i.e. use the -g option to specify a shared
group), this file gets installed in the user's home
directory with permissions 775. This allows un-trusted
group members to write the file.

I think that no files in /etc/skel should have group write
because of this problem.

Comment 1 Dale Lovelace 1999-06-09 18:00:59 UTC
Permissions were actually 664, but probably a bad idea when you
consider a user without Red Hat's normal one group per user scheme.

Changed /etc/skel/.screenrc to 644
Fixed in /home/saqadoc/dale/SRPMS/screen-3.7.6-8.src.rpm.
All yours jbj.

Comment 2 Bill Nottingham 1999-06-17 19:57:59 UTC
fixed in screen-3.7.6-9....